ChargeRecoil = {}

function ChargeRecoil.Update(me)

if GetLifetime(me) == 6
then
	child = CreateObject(me,"ChargeShot","PlayerWeapons",0,2,1,true)
	SetVelocity(child,-10.0 * GetDirection(me))
end

if EndOfAnimation(me)
then
	Kill(me)
end

end